Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.common
Enum ForgeChunkManager.Type

    java.lang.Object
      java.lang.Enum<ForgeChunkManager.Type>
          net.minecraftforge.common.ForgeChunkManager.Type

All Implemented Interfaces:
  Serializable, Comparable<ForgeChunkManager.Type>

Enclosing class:
  ForgeChunkManager

    public static enum ForgeChunkManager.Type

extends Enum<ForgeChunkManager.Type>

Enum Constant Summary
`ENTITY` For entity registrations
`NORMAL` For non-entity registrations

Method Summary
`static ForgeChunkManager.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ForgeChunkManager.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final ForgeChunkManager.Type NORMAL

  For non-entity registrations

### ENTITY

    public static final ForgeChunkManager.Type ENTITY

  For entity registrations

Method Detail

### values

    public static ForgeChunkManager.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ForgeChunkManager.Type c : ForgeChunkManager.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ForgeChunkManager.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD